<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>M-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/TriDChess.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class de.rowlo.tridchess.<a href="../de/rowlo/tridchess/TriDChess.html" title="class in de.rowlo.tridchess">TriDChess</a></dt>
<dd>
<div class="block">Main method creating the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/BoardUtils.html#make3DPointArray-int-int-int-">make3DPointArray(int, int, int)</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/BoardUtils.html" title="class in de.rowlo.tridchess.util">BoardUtils</a></dt>
<dd>
<div class="block">Returns an int[3] array.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/BoardUtils.html#make3DString-int-int-int-">make3DString(int, int, int)</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/BoardUtils.html" title="class in de.rowlo.tridchess.util">BoardUtils</a></dt>
<dd>
<div class="block">Returns an int[3] array.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mouseClicked-java.awt.event.MouseEvent-">mouseClicked(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mouseDragged-java.awt.event.MouseEvent-">mouseDragged(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mouseEntered-java.awt.event.MouseEvent-">mouseEntered(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mouseExited-java.awt.event.MouseEvent-">mouseExited(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mouseMoved-java.awt.event.MouseEvent-">mouseMoved(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mousePressed-java.awt.event.MouseEvent-">mousePressed(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/event/BoardMouseListener.html#mouseReleased-java.awt.event.MouseEvent-">mouseReleased(MouseEvent)</a></span> - Method in class de.rowlo.tridchess.event.<a href="../de/rowlo/tridchess/event/BoardMouseListener.html" title="class in de.rowlo.tridchess.event">BoardMouseListener</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Move</span></a> - Class in <a href="../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></dt>
<dd>
<div class="block">Description of Figure or Pin moves in a Tri-D chess match.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#Move-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-">Move(Figure, Field, Figure)</a></span> - Constructor for class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>
<div class="block">Creates a figure move object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#Move-de.rowlo.tridchess.model.trid.Pin-de.rowlo.tridchess.model.trid.Pin-boolean-">Move(Pin, Pin, boolean)</a></span> - Constructor for class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>
<div class="block">Creates an attack board move object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#movePin-de.rowlo.tridchess.model.trid.Pin-boolean-">movePin(Pin, boolean)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>
<div class="block">Moves the pin to the target pin.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
